<?php

namespace Ilios\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Populate the database with initial schema
 */
class Version20150805000000 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'mysql', 'Migration can only be executed safely on \'mysql\'.');

        $this->addSql('CREATE TABLE aamc_method (method_id VARCHAR(10) NOT NULL, description LONGTEXT NOT NULL, PRIMARY KEY(method_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE aamc_pcrs (pcrs_id VARCHAR(21) NOT NULL, description LONGTEXT NOT NULL, PRIMARY KEY(pcrs_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE alert (alert_id INT AUTO_INCREMENT NOT NULL, table_row_id INT NOT NULL, table_name VARCHAR(30) NOT NULL, additional_text LONGTEXT DEFAULT NULL, dispatched TINYINT(1) NOT NULL, PRIMARY KEY(alert_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE alert_change (alert_id INT NOT NULL, alert_change_type_id INT NOT NULL, INDEX IDX_77659F2793035F72 (alert_id), INDEX IDX_77659F2748FCA242 (alert_change_type_id), PRIMARY KEY(alert_id, alert_change_type_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE alert_instigator (alert_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_69CBD53C93035F72 (alert_id), INDEX IDX_69CBD53CA76ED395 (user_id), PRIMARY KEY(alert_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE alert_recipient (alert_id INT NOT NULL, school_id INT NOT NULL, INDEX IDX_D97AE69D93035F72 (alert_id), INDEX IDX_D97AE69DC32A47EE (school_id), PRIMARY KEY(alert_id, school_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE alert_change_type (alert_change_type_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(60) NOT NULL, PRIMARY KEY(alert_change_type_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE api_key (user_id INT NOT NULL, api_key VARCHAR(64) NOT NULL, UNIQUE INDEX UNIQ_C912ED9DA76ED395 (user_id), UNIQUE INDEX api_key_api_key (api_key), PRIMARY KEY(user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE assessment_option (assessment_option_id INT AUTO_INCREMENT NOT NULL, name VARCHAR(20) NOT NULL, UNIQUE INDEX name (name), PRIMARY KEY(assessment_option_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE authentication (username VARCHAR(100) NOT NULL, password_sha256 VARCHAR(64) DEFAULT NULL, person_id INT NOT NULL, password_bcrypt VARCHAR(255) DEFAULT NULL, eppn VARCHAR(255) DEFAULT NULL, UNIQUE INDEX UNIQ_FEB4C9FDFC7885D4 (eppn), UNIQUE INDEX UNIQ_FEB4C9FD217BBB47 (person_id), UNIQUE INDEX UNIQ_FEB4C9FDF85E0677 (username), PRIMARY KEY(person_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE ci_sessions (session_id VARCHAR(40) NOT NULL, ip_address VARCHAR(45) NOT NULL, user_agent VARCHAR(120) NOT NULL, last_activity INT NOT NULL, user_data LONGTEXT NOT NULL, INDEX last_activity_idx (last_activity), PRIMARY KEY(session_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE cohort (cohort_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(60) NOT NULL, program_year_id INT DEFAULT NULL, UNIQUE INDEX UNIQ_D3B8C16BCB2B0673 (program_year_id), INDEX whole_k (program_year_id, cohort_id, title) , PRIMARY KEY(cohort_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE competency (competency_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(200) DEFAULT NULL, parent_competency_id INT DEFAULT NULL, owning_school_id INT DEFAULT NULL, INDEX IDX_80D53430DDDDCC69 (owning_school_id), INDEX parent_competency_id_k (parent_competency_id), PRIMARY KEY(competency_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE competency_x_aamc_pcrs (competency_id INT NOT NULL, pcrs_id VARCHAR(21) NOT NULL, INDEX IDX_1683F4A7FB9F58C (competency_id), INDEX IDX_1683F4A79CFCD25E (pcrs_id), PRIMARY KEY(competency_id, pcrs_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course (course_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(200) DEFAULT NULL, publish_event_id INT DEFAULT NULL, course_level SMALLINT NOT NULL, year SMALLINT NOT NULL, start_date DATE NOT NULL, end_date DATE NOT NULL, deleted TINYINT(1) NOT NULL, external_id VARCHAR(18) DEFAULT NULL, locked TINYINT(1) NOT NULL, archived TINYINT(1) NOT NULL, owning_school_id INT DEFAULT NULL, published_as_tbd TINYINT(1) NOT NULL, clerkship_type_id INT DEFAULT NULL, INDEX IDX_169E6FB9DDDDCC69 (owning_school_id), INDEX clerkship_type_id (clerkship_type_id), INDEX title_course_k (course_id, title), INDEX IDX_169E6FB956C92BE0 (publish_event_id), INDEX external_id (external_id), PRIMARY KEY(course_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course_director (course_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_B724BEA6591CC992 (course_id), INDEX IDX_B724BEA6A76ED395 (user_id), PRIMARY KEY(course_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course_x_cohort (course_id INT NOT NULL, cohort_id INT NOT NULL, INDEX IDX_4C4C18C35983C93 (cohort_id), INDEX IDX_4C4C18C591CC992 (course_id), PRIMARY KEY(course_id, cohort_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course_x_discipline (course_id INT NOT NULL, discipline_id INT NOT NULL, INDEX IDX_A52BE633591CC992 (course_id), INDEX IDX_A52BE633A5522701 (discipline_id), PRIMARY KEY(course_id, discipline_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course_x_objective (course_id INT NOT NULL, objective_id INT NOT NULL, INDEX IDX_4C880AE4591CC992 (course_id), INDEX IDX_4C880AE473484933 (objective_id), PRIMARY KEY(course_id, objective_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course_x_mesh (course_id INT NOT NULL, mesh_descriptor_uid VARCHAR(9) NOT NULL, INDEX IDX_82E35212591CC992 (course_id), INDEX IDX_82E35212CDB3C93B (mesh_descriptor_uid), PRIMARY KEY(course_id, mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course_clerkship_type (course_clerkship_type_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(20) NOT NULL, PRIMARY KEY(course_clerkship_type_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course_learning_material (course_learning_material_id INT AUTO_INCREMENT NOT NULL, course_id INT DEFAULT NULL, learning_material_id INT DEFAULT NULL, notes LONGTEXT DEFAULT NULL, required TINYINT(1) NOT NULL, notes_are_public TINYINT(1) NOT NULL, INDEX IDX_F841D788591CC992 (course_id), INDEX IDX_F841D788C1D99609 (learning_material_id), PRIMARY KEY(course_learning_material_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE course_learning_material_x_mesh (course_learning_material_id INT NOT NULL, mesh_descriptor_uid VARCHAR(9) NOT NULL, INDEX IDX_476BB36FCDB3C93B (mesh_descriptor_uid), INDEX IDX_476BB36F46C5AD2E (course_learning_material_id), PRIMARY KEY(course_learning_material_id, mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE curriculum_inventory_academic_level (academic_level_id INT AUTO_INCREMENT NOT NULL, report_id INT DEFAULT NULL, level INT NOT NULL, name VARCHAR(50) NOT NULL, description LONGTEXT DEFAULT NULL, INDEX IDX_B4D3296D4BD2A4C0 (report_id), UNIQUE INDEX report_id_level (report_id, level), PRIMARY KEY(academic_level_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE curriculum_inventory_export (report_id INT NOT NULL, document LONGTEXT NOT NULL, created_by INT DEFAULT NULL, created_on DATETIME NOT NULL, export_id INT AUTO_INCREMENT NOT NULL, UNIQUE INDEX UNIQ_E892E88E4BD2A4C0 (report_id), INDEX fkey_curriculum_inventory_export_user_id (created_by), PRIMARY KEY(export_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE curriculum_inventory_institution (school_id INT NOT NULL, name VARCHAR(100) NOT NULL, aamc_code VARCHAR(10) NOT NULL, address_street VARCHAR(100) NOT NULL, address_city VARCHAR(100) NOT NULL, address_state_or_province VARCHAR(50) NOT NULL, address_zipcode VARCHAR(10) NOT NULL, address_country_code VARCHAR(2) NOT NULL, institution_id INT AUTO_INCREMENT NOT NULL, UNIQUE INDEX UNIQ_3426AC4BC32A47EE (school_id), PRIMARY KEY(institution_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE curriculum_inventory_report (report_id INT AUTO_INCREMENT NOT NULL, program_id INT DEFAULT NULL, year SMALLINT NOT NULL, name VARCHAR(200) DEFAULT NULL, description LONGTEXT DEFAULT NULL, start_date DATE NOT NULL, end_date DATE NOT NULL, INDEX IDX_6E31899E3EB8070A (program_id), UNIQUE INDEX program_id_year (program_id, year), PRIMARY KEY(report_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE curriculum_inventory_sequence (report_id INT NOT NULL, description LONGTEXT DEFAULT NULL, sequence_id INT AUTO_INCREMENT NOT NULL, UNIQUE INDEX UNIQ_B8AE58F54BD2A4C0 (report_id), PRIMARY KEY(sequence_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE curriculum_inventory_sequence_block (sequence_block_id INT AUTO_INCREMENT NOT NULL, report_id INT DEFAULT NULL, required INT NOT NULL, child_sequence_order SMALLINT NOT NULL, order_in_sequence INT NOT NULL, minimum INT NOT NULL, maximum INT NOT NULL, track TINYINT(1) NOT NULL, description LONGTEXT DEFAULT NULL, title VARCHAR(200) NOT NULL, start_date DATE DEFAULT NULL, end_date DATE DEFAULT NULL, academic_level_id INT DEFAULT NULL, duration INT NOT NULL, course_id INT DEFAULT NULL, parent_sequence_block_id INT DEFAULT NULL, INDEX IDX_22E6B6806081C3B0 (academic_level_id), INDEX IDX_22E6B680591CC992 (course_id), INDEX IDX_22E6B680DEB52F47 (parent_sequence_block_id), INDEX IDX_22E6B6804BD2A4C0 (report_id), PRIMARY KEY(sequence_block_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE curriculum_inventory_sequence_block_session (sequence_block_session_id BIGINT AUTO_INCREMENT NOT NULL, sequence_block_id INT DEFAULT NULL, session_id INT DEFAULT NULL, count_offerings_once TINYINT(1) NOT NULL, INDEX IDX_CF8E4F1261D1D223 (sequence_block_id), INDEX fkey_curriculum_inventory_sequence_block_session_session_id (session_id), UNIQUE INDEX report_session (sequence_block_id, session_id), PRIMARY KEY(sequence_block_session_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE department (department_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(90) NOT NULL, school_id INT DEFAULT NULL, deleted TINYINT(1) NOT NULL, INDEX IDX_CD1DE18AC32A47EE (school_id), PRIMARY KEY(department_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE discipline (discipline_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(200) DEFAULT NULL, owning_school_id INT DEFAULT NULL, INDEX IDX_75BEEE3FDDDDCC69 (owning_school_id), PRIMARY KEY(discipline_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE ilm_session_facet (ilm_session_facet_id INT AUTO_INCREMENT NOT NULL, hours NUMERIC(6, 2) NOT NULL, due_date DATE NOT NULL, PRIMARY KEY(ilm_session_facet_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE ilm_session_facet_x_group (ilm_session_facet_id INT NOT NULL, group_id INT NOT NULL, INDEX IDX_B43B41DC504270C1 (ilm_session_facet_id), INDEX IDX_B43B41DCFE54D947 (group_id), PRIMARY KEY(ilm_session_facet_id, group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE ilm_session_facet_x_instructor_group (ilm_session_facet_id INT NOT NULL, instructor_group_id INT NOT NULL, INDEX IDX_8171A2F3504270C1 (ilm_session_facet_id), INDEX IDX_8171A2F3FE367BE2 (instructor_group_id), PRIMARY KEY(ilm_session_facet_id, instructor_group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE ilm_session_facet_x_instructor (ilm_session_facet_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_82B9A47B504270C1 (ilm_session_facet_id), INDEX IDX_82B9A47BA76ED395 (user_id), PRIMARY KEY(ilm_session_facet_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE ilm_session_facet_x_learner (ilm_session_facet_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_E385BC58504270C1 (ilm_session_facet_id), INDEX IDX_E385BC58A76ED395 (user_id), PRIMARY KEY(ilm_session_facet_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE ingestion_exception (user_id INT NOT NULL, ingested_wide_uid VARCHAR(32) NOT NULL, PRIMARY KEY(user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE instruction_hours (instruction_hours_id INT AUTO_INCREMENT NOT NULL, user_id INT NOT NULL, session_id INT NOT NULL, generation_time_stamp DATETIME NOT NULL, hours_accrued INT NOT NULL, modified TINYINT(1) NOT NULL, modification_time_stamp DATETIME NOT NULL, INDEX IDX_E52A7DDBA76ED395 (user_id), INDEX IDX_E52A7DDB613FECDF (session_id), PRIMARY KEY(instruction_hours_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE instructor_group (instructor_group_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(60) NOT NULL, school_id INT DEFAULT NULL, INDEX IDX_BF12A389C32A47EE (school_id), PRIMARY KEY(instructor_group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE instructor_group_x_user (instructor_group_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_6423CE8CFE367BE2 (instructor_group_id), INDEX IDX_6423CE8CA76ED395 (user_id), PRIMARY KEY(instructor_group_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE `group` (group_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(60) NOT NULL, instructors VARCHAR(120) DEFAULT NULL, location VARCHAR(100) DEFAULT NULL, parent_group_id INT DEFAULT NULL, cohort_id INT DEFAULT NULL, INDEX IDX_6DC044C561997596 (parent_group_id), INDEX IDX_6DC044C535983C93 (cohort_id), PRIMARY KEY(group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE group_x_instructor_group (group_id INT NOT NULL, instructor_group_id INT NOT NULL, INDEX IDX_49AFEA21FE54D947 (group_id), INDEX IDX_49AFEA21FE367BE2 (instructor_group_id), PRIMARY KEY(group_id, instructor_group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE group_x_user (group_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_93A1A790FE54D947 (group_id), INDEX IDX_93A1A790A76ED395 (user_id), PRIMARY KEY(group_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE group_x_instructor (group_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_8CE57915FE54D947 (group_id), INDEX IDX_8CE57915A76ED395 (user_id), PRIMARY KEY(group_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE learning_material (learning_material_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(60) NOT NULL, mime_type VARCHAR(96) DEFAULT NULL, relative_file_system_location VARCHAR(128) DEFAULT NULL, filename VARCHAR(255) DEFAULT NULL, filesize INT UNSIGNED DEFAULT NULL, description LONGTEXT NOT NULL, copyright_ownership TINYINT(1) DEFAULT NULL, copyright_rationale LONGTEXT DEFAULT NULL, upload_date DATETIME NOT NULL, owning_user_id INT DEFAULT NULL, asset_creator VARCHAR(80) DEFAULT NULL, web_link VARCHAR(256) DEFAULT NULL, citation VARCHAR(512) DEFAULT NULL, learning_material_status_id INT DEFAULT NULL, learning_material_user_role_id INT DEFAULT NULL, token VARCHAR(64) DEFAULT NULL, INDEX IDX_58CE718BA0407615 (learning_material_status_id), INDEX IDX_58CE718B67A71A40 (owning_user_id), INDEX IDX_58CE718B7505C8EA (learning_material_user_role_id), UNIQUE INDEX idx_learning_material_token_unique (token), PRIMARY KEY(learning_material_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE learning_material_status (learning_material_status_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(60) NOT NULL, PRIMARY KEY(learning_material_status_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE learning_material_user_role (learning_material_user_role_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(60) NOT NULL, PRIMARY KEY(learning_material_user_role_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_concept (mesh_concept_uid VARCHAR(9) NOT NULL, name VARCHAR(192) NOT NULL, umls_uid VARCHAR(9) NOT NULL, preferred TINYINT(1) NOT NULL, scope_note LONGTEXT DEFAULT NULL, casn_1_name VARCHAR(127) DEFAULT NULL, registry_number VARCHAR(30) DEFAULT NULL, created_at DATETIME NOT NULL, updated_at DATETIME NOT NULL, PRIMARY KEY(mesh_concept_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_concept_x_semantic_type (  mesh_concept_uid VARCHAR(9) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,  mesh_semantic_type_uid VARCHAR(9) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL, PRIMARY KEY(mesh_concept_uid, mesh_semantic_type_uid),  KEY mesh_concept_uid (mesh_concept_uid),  KEY mesh_semantic_type_uid (mesh_semantic_type_uid)) ENGINE=InnoDB DEFAULT CHARSET=utf8');
        $this->addSql('CREATE TABLE mesh_concept_x_term (mesh_concept_uid VARCHAR(9) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL, mesh_term_uid VARCHAR(9) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL, KEY IDX_100AC50FE34D9FF5 (mesh_concept_uid), KEY IDX_100AC50F17293A95 (mesh_term_uid), PRIMARY KEY (mesh_concept_uid,mesh_term_uid)) ENGINE=InnoDB DEFAULT CHARSET=utf8');
        $this->addSql('CREATE TABLE mesh_descriptor_x_concept (mesh_concept_uid VARCHAR(9) NOT NULL, mesh_descriptor_uid VARCHAR(9) NOT NULL, INDEX IDX_1AF85275E34D9FF5 (mesh_concept_uid), INDEX IDX_1AF85275CDB3C93B (mesh_descriptor_uid), PRIMARY KEY(mesh_concept_uid, mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_descriptor (mesh_descriptor_uid VARCHAR(9) NOT NULL, name VARCHAR(192) NOT NULL, annotation LONGTEXT DEFAULT NULL, created_at DATETIME NOT NULL, updated_at DATETIME NOT NULL, PRIMARY KEY(mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_previous_indexing (mesh_descriptor_uid VARCHAR(9) NOT NULL, previous_indexing LONGTEXT NOT NULL, UNIQUE INDEX UNIQ_32B6E2F4CDB3C93B (mesh_descriptor_uid), PRIMARY KEY(mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_qualifier (mesh_qualifier_uid VARCHAR(9) NOT NULL, name VARCHAR(60) NOT NULL, created_at DATETIME NOT NULL, updated_at DATETIME NOT NULL, PRIMARY KEY(mesh_qualifier_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_descriptor_x_qualifier (mesh_descriptor_uid VARCHAR(9) NOT NULL, mesh_qualifier_uid VARCHAR(9) NOT NULL, INDEX IDX_FC5A6AD763490620 (mesh_qualifier_uid), INDEX IDX_FC5A6AD7CDB3C93B (mesh_descriptor_uid), PRIMARY KEY(mesh_qualifier_uid, mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_tree_x_descriptor (tree_number VARCHAR(31) NOT NULL, mesh_descriptor_uid VARCHAR(9) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL, PRIMARY KEY (tree_number)) ENGINE=InnoDB DEFAULT CHARSET=utf8');
        $this->addSql('CREATE TABLE mesh_semantic_type (mesh_semantic_type_uid VARCHAR(9) NOT NULL, name VARCHAR(192) NOT NULL, created_at DATETIME NOT NULL, updated_at DATETIME NOT NULL, PRIMARY KEY(mesh_semantic_type_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_term (mesh_term_uid VARCHAR(9) NOT NULL, name VARCHAR(192) NOT NULL, lexical_tag VARCHAR(12) DEFAULT NULL, concept_preferred TINYINT(1) DEFAULT NULL, record_preferred TINYINT(1) DEFAULT NULL, permuted TINYINT(1) DEFAULT NULL, print TINYINT(1) DEFAULT NULL, created_at DATETIME NOT NULL, updated_at DATETIME NOT NULL, PRIMARY KEY(mesh_term_uid, name)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE mesh_user_selection (mesh_user_selection_id INT AUTO_INCREMENT NOT NULL, mesh_descriptor_uid VARCHAR(9) NOT NULL, search_phrase VARCHAR(127) NOT NULL, INDEX IDX_650D32BFCDB3C93B (mesh_descriptor_uid), PRIMARY KEY(mesh_user_selection_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE objective (objective_id INT AUTO_INCREMENT NOT NULL, title LONGTEXT NOT NULL, competency_id INT DEFAULT NULL, INDEX IDX_B996F101FB9F58C (competency_id), PRIMARY KEY(objective_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE objective_x_objective (parent_objective_id INT NOT NULL, objective_id INT NOT NULL, INDEX IDX_9DC1F26573484933 (objective_id), INDEX IDX_9DC1F2652326141D (parent_objective_id), PRIMARY KEY(objective_id, parent_objective_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE objective_x_mesh (objective_id INT NOT NULL, mesh_descriptor_uid VARCHAR(9) NOT NULL, INDEX IDX_936D667473484933 (objective_id), INDEX IDX_936D6674CDB3C93B (mesh_descriptor_uid), PRIMARY KEY(objective_id, mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE offering (offering_id INT AUTO_INCREMENT NOT NULL, room VARCHAR(60) NOT NULL, publish_event_id INT DEFAULT NULL, session_id INT DEFAULT NULL, start_date DATETIME NOT NULL, end_date DATETIME NOT NULL, deleted TINYINT(1) NOT NULL, last_updated_on DATETIME NOT NULL, INDEX session_id_k (session_id), INDEX offering_dates_session_k (offering_id, session_id, start_date, end_date), INDEX IDX_A5682AB156C92BE0 (publish_event_id), PRIMARY KEY(offering_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE offering_x_group (offering_id INT NOT NULL, group_id INT NOT NULL, INDEX IDX_4D68848F8EDF74F0 (offering_id), INDEX IDX_4D68848FFE54D947 (group_id), PRIMARY KEY(offering_id, group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE offering_x_instructor_group (offering_id INT NOT NULL, instructor_group_id INT NOT NULL, INDEX IDX_5540AEE1FE367BE2 (instructor_group_id), INDEX IDX_5540AEE18EDF74F0 (offering_id), PRIMARY KEY(offering_id, instructor_group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE offering_x_learner (offering_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_991D7DA38EDF74F0 (offering_id), INDEX IDX_991D7DA3A76ED395 (user_id), PRIMARY KEY(offering_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE offering_x_instructor (offering_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_171DC5498EDF74F0 (offering_id), INDEX IDX_171DC549A76ED395 (user_id), PRIMARY KEY(offering_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE offering_x_recurring_event (offering_id INT NOT NULL, recurring_event_id INT NOT NULL, INDEX IDX_D6FB967C8EDF74F0 (offering_id), INDEX IDX_D6FB967CE54B259A (recurring_event_id), PRIMARY KEY(offering_id, recurring_event_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE permission (permission_id INT AUTO_INCREMENT NOT NULL, user_id INT NOT NULL, can_read TINYINT(1) NOT NULL, can_write TINYINT(1) NOT NULL, table_row_id INT DEFAULT NULL, table_name VARCHAR(30) NOT NULL, INDEX IDX_E04992AAA76ED395 (user_id), UNIQUE INDEX user_table_k (user_id, table_name, table_row_id), PRIMARY KEY(permission_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE program (program_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(200) DEFAULT NULL, short_title VARCHAR(10) NOT NULL, publish_event_id INT DEFAULT NULL, duration SMALLINT NOT NULL, deleted TINYINT(1) NOT NULL, owning_school_id INT DEFAULT NULL, published_as_tbd TINYINT(1) NOT NULL, INDEX IDX_92ED778456C92BE0 (publish_event_id), INDEX IDX_92ED7784DDDDCC69 (owning_school_id), PRIMARY KEY(program_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE program_year (program_year_id INT AUTO_INCREMENT NOT NULL, publish_event_id INT DEFAULT NULL, start_year SMALLINT NOT NULL, program_id INT DEFAULT NULL, deleted TINYINT(1) NOT NULL, locked TINYINT(1) NOT NULL, archived TINYINT(1) NOT NULL, published_as_tbd TINYINT(1) NOT NULL, INDEX IDX_B664263056C92BE0 (publish_event_id), INDEX IDX_B66426303EB8070A (program_id), PRIMARY KEY(program_year_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE program_year_director (program_year_id INT NOT NULL, user_id INT NOT NULL, INDEX IDX_9212A50DCB2B0673 (program_year_id), INDEX IDX_9212A50DA76ED395 (user_id), PRIMARY KEY(program_year_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE program_year_x_competency (program_year_id INT NOT NULL, competency_id INT NOT NULL, INDEX IDX_1841AB9BFB9F58C (competency_id), INDEX IDX_1841AB9BCB2B0673 (program_year_id), PRIMARY KEY(program_year_id, competency_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE program_year_x_discipline (program_year_id INT NOT NULL, discipline_id INT NOT NULL, INDEX IDX_ED2A7194A5522701 (discipline_id), INDEX IDX_ED2A7194CB2B0673 (program_year_id), PRIMARY KEY(program_year_id, discipline_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE program_year_x_objective (program_year_id INT NOT NULL, objective_id INT NOT NULL, INDEX IDX_FF29E64373484933 (objective_id), INDEX IDX_FF29E643CB2B0673 (program_year_id), PRIMARY KEY(program_year_id, objective_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE program_year_steward (program_year_id INT DEFAULT NULL, school_id INT DEFAULT NULL, department_id INT DEFAULT NULL, program_year_steward_id INT AUTO_INCREMENT NOT NULL, INDEX IDX_program_year_school (program_year_Id, school_Id), INDEX IDX_38AC2B7BAE80F5DF (department_id), INDEX IDX_38AC2B7BCB2B0673 (program_year_id), INDEX IDX_38AC2B7BC32A47EE (school_id), UNIQUE INDEX program_year_id_school_id_department_id (program_year_Id, school_Id, department_Id), PRIMARY KEY(program_year_steward_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE publish_event (publish_event_id INT AUTO_INCREMENT NOT NULL, administrator_id INT DEFAULT NULL, machine_ip VARCHAR(15) NOT NULL, time_stamp DATETIME NOT NULL, table_name VARCHAR(30) DEFAULT NULL, table_row_id INT DEFAULT NULL, INDEX IDX_A018E3734B09E92C (administrator_id), PRIMARY KEY(publish_event_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE recurring_event (recurring_event_id INT AUTO_INCREMENT NOT NULL, previous_recurring_event_id INT DEFAULT NULL, next_recurring_event_id INT DEFAULT NULL, on_sunday TINYINT(1) NOT NULL, on_monday TINYINT(1) NOT NULL, on_tuesday TINYINT(1) NOT NULL, on_wednesday TINYINT(1) NOT NULL, on_thursday TINYINT(1) NOT NULL, on_friday TINYINT(1) NOT NULL, on_saturday TINYINT(1) NOT NULL, end_date DATETIME NOT NULL, repetition_count SMALLINT DEFAULT NULL, INDEX IDX_51B1C7F8B494B099 (previous_recurring_event_id), INDEX IDX_51B1C7F882312E9D (next_recurring_event_id), PRIMARY KEY(recurring_event_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE report (report_id INT AUTO_INCREMENT NOT NULL, user_id INT DEFAULT NULL, creation_date DATETIME NOT NULL, subject VARCHAR(32) NOT NULL, prepositional_object VARCHAR(32) DEFAULT NULL, deleted TINYINT(1) NOT NULL, title VARCHAR(240) DEFAULT NULL, prepositional_object_table_row_id VARCHAR(14) DEFAULT NULL, INDEX IDX_C42F7784A76ED395 (user_id), PRIMARY KEY(report_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE school (school_id INT AUTO_INCREMENT NOT NULL, template_prefix VARCHAR(8) DEFAULT NULL, title VARCHAR(60) NOT NULL, ilios_administrator_email VARCHAR(100) NOT NULL, deleted TINYINT(1) NOT NULL, change_alert_recipients LONGTEXT DEFAULT NULL, UNIQUE INDEX template_prefix (template_prefix), PRIMARY KEY(school_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session (session_id INT AUTO_INCREMENT NOT NULL, ilm_session_facet_id INT DEFAULT NULL, title VARCHAR(200) DEFAULT NULL, publish_event_id INT DEFAULT NULL, attire_required TINYINT(1) NOT NULL, equipment_required TINYINT(1) NOT NULL, supplemental TINYINT(1) NOT NULL, course_id INT DEFAULT NULL, session_type_id INT DEFAULT NULL, deleted TINYINT(1) NOT NULL, published_as_tbd TINYINT(1) NOT NULL, last_updated_on DATETIME NOT NULL, INDEX session_ibfk_3 (ilm_session_facet_id), UNIQUE INDEX UNIQ_D044D5D4504270C1 (ilm_session_facet_id), INDEX session_type_id_k (session_type_id), INDEX course_id_k (course_id), INDEX session_course_type_title_k (session_id, course_id, session_type_id, title), INDEX IDX_D044D5D456C92BE0 (publish_event_id), PRIMARY KEY(session_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session_x_discipline (session_id INT NOT NULL, discipline_id INT NOT NULL, INDEX IDX_EA7C234FA5522701 (discipline_id), INDEX IDX_EA7C234F613FECDF (session_id), PRIMARY KEY(session_id, discipline_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session_x_objective (session_id INT NOT NULL, objective_id INT NOT NULL, INDEX IDX_C4BF244773484933 (objective_id), INDEX IDX_C4BF2447613FECDF (session_id), PRIMARY KEY(session_id, objective_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session_x_mesh (session_id INT NOT NULL, mesh_descriptor_uid VARCHAR(9) NOT NULL, INDEX IDX_43B09906613FECDF (session_id), INDEX IDX_43B09906CDB3C93B (mesh_descriptor_uid), PRIMARY KEY(session_id, mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session_description (session_id INT NOT NULL, description LONGTEXT DEFAULT NULL, description_id INT AUTO_INCREMENT NOT NULL, UNIQUE INDEX UNIQ_91BD5E51613FECDF (session_id), PRIMARY KEY(description_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session_learning_material (session_learning_material_id INT AUTO_INCREMENT NOT NULL, session_id INT DEFAULT NULL, learning_material_id INT DEFAULT NULL, notes LONGTEXT DEFAULT NULL, required TINYINT(1) NOT NULL, notes_are_public TINYINT(1) NOT NULL, INDEX session_lm_k (session_id, learning_material_id), INDEX learning_material_id_k (learning_material_id), INDEX IDX_9BE2AF8D613FECDF (session_id), PRIMARY KEY(session_learning_material_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session_learning_material_x_mesh (session_learning_material_id INT NOT NULL, mesh_descriptor_uid VARCHAR(9) NOT NULL, INDEX IDX_EC36AECFCDB3C93B (mesh_descriptor_uid), INDEX IDX_EC36AECFE8376E0A (session_learning_material_id), PRIMARY KEY(session_learning_material_id, mesh_descriptor_uid)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session_type (session_type_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(100) NOT NULL, owning_school_id INT DEFAULT NULL, session_type_css_class VARCHAR(64) DEFAULT NULL, assessment TINYINT(1) NOT NULL, assessment_option_id INT DEFAULT NULL, INDEX owning_school_id (owning_school_id), INDEX assessment_option_fkey (assessment_option_id), PRIMARY KEY(session_type_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE session_type_x_aamc_method (session_type_id INT NOT NULL, method_id VARCHAR(10) NOT NULL, INDEX IDX_5E10F74819883967 (method_id), INDEX IDX_5E10F748D7940EC9 (session_type_id), PRIMARY KEY(session_type_id, method_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE user (user_id INT AUTO_INCREMENT NOT NULL, last_name VARCHAR(30) NOT NULL, first_name VARCHAR(20) NOT NULL, middle_name VARCHAR(20) DEFAULT NULL, phone VARCHAR(30) DEFAULT NULL, email VARCHAR(100) NOT NULL, added_via_ilios TINYINT(1) NOT NULL, enabled TINYINT(1) NOT NULL, uc_uid VARCHAR(16) DEFAULT NULL, other_id VARCHAR(16) DEFAULT NULL, primary_school_id INT DEFAULT NULL, examined TINYINT(1) NOT NULL, user_sync_ignore TINYINT(1) NOT NULL, primary_cohort_id INT DEFAULT NULL, INDEX IDX_8D93D649FF038174 (primary_cohort_id), INDEX fkey_user_primary_school (primary_school_id), PRIMARY KEY(user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE user_sync_exception (exception_id int(11) NOT NULL AUTO_INCREMENT,  process_id int(11) NOT NULL,  process_name varchar(100) COLLATE utf8_unicode_ci NOT NULL,  user_id int(11) DEFAULT NULL,  exception_code int(11) NOT NULL,  mismatched_property_name varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,  mismatched_property_value varchar(150) COLLATE utf8_unicode_ci DEFAULT NULL,  PRIMARY KEY (exception_id),  KEY user_id_fkey (user_id)) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci');
        $this->addSql('CREATE TABLE user_x_user_role (user_id INT NOT NULL, user_role_id INT NOT NULL, INDEX IDX_583C407A76ED395 (user_id), INDEX IDX_583C4078E0E3CA6 (user_role_id), PRIMARY KEY(user_id, user_role_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE user_x_cohort (user_id INT NOT NULL, cohort_id INT NOT NULL, INDEX IDX_4DFD48DA35983C93 (cohort_id), INDEX IDX_4DFD48DAA76ED395 (user_id), PRIMARY KEY(user_id, cohort_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE user_made_reminder (user_made_reminder_id INT AUTO_INCREMENT NOT NULL, note VARCHAR(150) NOT NULL, creation_date DATETIME NOT NULL, due_date DATETIME NOT NULL, closed TINYINT(1) NOT NULL, user_id INT DEFAULT NULL, INDEX due_closed_user_k (due_date, closed, user_id), INDEX IDX_44EF4595A76ED395 (user_id), PRIMARY KEY(user_made_reminder_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE user_role (user_role_id INT AUTO_INCREMENT NOT NULL, title VARCHAR(60) NOT NULL, PRIMARY KEY(user_role_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('ALTER TABLE alert_change ADD CONSTRAINT FK_77659F2793035F72 FOREIGN KEY (alert_id) REFERENCES alert (alert_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE alert_change ADD CONSTRAINT FK_77659F2748FCA242 FOREIGN KEY (alert_change_type_id) REFERENCES alert_change_type (alert_change_type_id)');
        $this->addSql('ALTER TABLE alert_instigator ADD CONSTRAINT FK_69CBD53C93035F72 FOREIGN KEY (alert_id) REFERENCES alert (alert_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE alert_instigator ADD CONSTRAINT FK_69CBD53CA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE alert_recipient ADD CONSTRAINT FK_D97AE69D93035F72 FOREIGN KEY (alert_id) REFERENCES alert (alert_id)');
        $this->addSql('ALTER TABLE alert_recipient ADD CONSTRAINT FK_D97AE69DC32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE api_key ADD CONSTRAINT FK_C912ED9DA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE authentication ADD CONSTRAINT FK_FEB4C9FD217BBB47 FOREIGN KEY (person_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE cohort ADD CONSTRAINT FK_D3B8C16BCB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id)');
        $this->addSql('ALTER TABLE competency ADD CONSTRAINT FK_80D53430DDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE competency ADD CONSTRAINT FK_80D53430D33F961E FOREIGN KEY (parent_competency_id) REFERENCES competency (competency_id)');
        $this->addSql('ALTER TABLE competency_x_aamc_pcrs ADD CONSTRAINT FK_1683F4A7FB9F58C FOREIGN KEY (competency_id) REFERENCES competency (competency_id)');
        $this->addSql('ALTER TABLE competency_x_aamc_pcrs ADD CONSTRAINT FK_1683F4A79CFCD25E FOREIGN KEY (pcrs_id) REFERENCES aamc_pcrs (pcrs_id)');
        $this->addSql('ALTER TABLE course ADD CONSTRAINT FK_169E6FB954C53094 FOREIGN KEY (clerkship_type_id) REFERENCES course_clerkship_type (course_clerkship_type_id)');
        $this->addSql('ALTER TABLE course ADD CONSTRAINT FK_169E6FB9DDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE course ADD CONSTRAINT FK_169E6FB956C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id)');
        $this->addSql('ALTER TABLE course_director ADD CONSTRAINT FK_B724BEA6591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id)');
        $this->addSql('ALTER TABLE course_director ADD CONSTRAINT FK_B724BEA6A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE course_x_cohort ADD CONSTRAINT FK_4C4C18C591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE course_x_cohort ADD CONSTRAINT FK_4C4C18C35983C93 FOREIGN KEY (cohort_id) REFERENCES cohort (cohort_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE course_x_discipline ADD CONSTRAINT FK_A52BE633591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE course_x_discipline ADD CONSTRAINT FK_A52BE633A5522701 FOREIGN KEY (discipline_id) REFERENCES discipline (discipline_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE course_x_objective ADD CONSTRAINT FK_4C880AE4591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE course_x_objective ADD CONSTRAINT FK_4C880AE473484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE course_x_mesh ADD CONSTRAINT FK_82E35212591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE course_x_mesh ADD CONSTRAINT FK_82E35212CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE course_learning_material ADD CONSTRAINT FK_F841D788591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id)');
        $this->addSql('ALTER TABLE course_learning_material ADD CONSTRAINT FK_F841D788C1D99609 FOREIGN KEY (learning_material_id) REFERENCES learning_material (learning_material_id)');
        $this->addSql('ALTER TABLE course_learning_material_x_mesh ADD CONSTRAINT FK_476BB36F46C5AD2E FOREIGN KEY (course_learning_material_id) REFERENCES course_learning_material (course_learning_material_id)');
        $this->addSql('ALTER TABLE course_learning_material_x_mesh ADD CONSTRAINT FK_476BB36FCDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid)');
        $this->addSql('ALTER TABLE curriculum_inventory_academic_level ADD CONSTRAINT FK_B4D3296D4BD2A4C0 FOREIGN KEY (report_id) REFERENCES curriculum_inventory_report (report_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_export ADD CONSTRAINT FK_E892E88E4BD2A4C0 FOREIGN KEY (report_id) REFERENCES curriculum_inventory_report (report_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_export ADD CONSTRAINT FK_E892E88EDE12AB56 FOREIGN KEY (created_by) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_institution ADD CONSTRAINT FK_3426AC4BC32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_report ADD CONSTRAINT FK_6E31899E3EB8070A FOREIGN KEY (program_id) REFERENCES program (program_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_sequence ADD CONSTRAINT FK_B8AE58F54BD2A4C0 FOREIGN KEY (report_id) REFERENCES curriculum_inventory_report (report_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_sequence_block ADD CONSTRAINT FK_22E6B6806081C3B0 FOREIGN KEY (academic_level_id) REFERENCES curriculum_inventory_academic_level (academic_level_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_sequence_block ADD CONSTRAINT FK_22E6B680591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_sequence_block ADD CONSTRAINT FK_22E6B680DEB52F47 FOREIGN KEY (parent_sequence_block_id) REFERENCES curriculum_inventory_sequence_block (sequence_block_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_sequence_block ADD CONSTRAINT FK_22E6B6804BD2A4C0 FOREIGN KEY (report_id) REFERENCES curriculum_inventory_report (report_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_sequence_block_session ADD CONSTRAINT FK_CF8E4F1261D1D223 FOREIGN KEY (sequence_block_id) REFERENCES curriculum_inventory_sequence_block (sequence_block_id)');
        $this->addSql('ALTER TABLE curriculum_inventory_sequence_block_session ADD CONSTRAINT FK_CF8E4F12613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id)');
        $this->addSql('ALTER TABLE department ADD CONSTRAINT FK_CD1DE18AC32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE discipline ADD CONSTRAINT FK_75BEEE3FDDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE ilm_session_facet_x_group ADD CONSTRAINT FK_B43B41DC504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ilm_session_facet_x_group ADD CONSTRAINT FK_B43B41DCFE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ilm_session_facet_x_instructor_group ADD CONSTRAINT FK_8171A2F3504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ilm_session_facet_x_instructor_group ADD CONSTRAINT FK_8171A2F3FE367BE2 FOREIGN KEY (instructor_group_id) REFERENCES instructor_group (instructor_group_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ilm_session_facet_x_instructor ADD CONSTRAINT FK_82B9A47B504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ilm_session_facet_x_instructor ADD CONSTRAINT FK_82B9A47BA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ilm_session_facet_x_learner ADD CONSTRAINT FK_E385BC58504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ilm_session_facet_x_learner ADD CONSTRAINT FK_E385BC58A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ingestion_exception ADD CONSTRAINT FK_65713AFFA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE instruction_hours ADD CONSTRAINT FK_E52A7DDBA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE instruction_hours ADD CONSTRAINT FK_E52A7DDB613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id)');
        $this->addSql('ALTER TABLE instructor_group ADD CONSTRAINT FK_BF12A389C32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE instructor_group_x_user ADD CONSTRAINT FK_6423CE8CFE367BE2 FOREIGN KEY (instructor_group_id) REFERENCES instructor_group (instructor_group_id)');
        $this->addSql('ALTER TABLE instructor_group_x_user ADD CONSTRAINT FK_6423CE8CA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE `group` ADD CONSTRAINT FK_6DC044C535983C93 FOREIGN KEY (cohort_id) REFERENCES cohort (cohort_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE `group` ADD CONSTRAINT FK_6DC044C561997596 FOREIGN KEY (parent_group_id) REFERENCES `group` (group_id)');
        $this->addSql('ALTER TABLE group_x_instructor_group ADD CONSTRAINT FK_49AFEA21FE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE group_x_instructor_group ADD CONSTRAINT FK_49AFEA21FE367BE2 FOREIGN KEY (instructor_group_id) REFERENCES instructor_group (instructor_group_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE group_x_user ADD CONSTRAINT FK_93A1A790FE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id)');
        $this->addSql('ALTER TABLE group_x_user ADD CONSTRAINT FK_93A1A790A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE group_x_instructor ADD CONSTRAINT FK_8CE57915FE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE group_x_instructor ADD CONSTRAINT FK_8CE57915A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE learning_material ADD CONSTRAINT FK_58CE718B7505C8EA FOREIGN KEY (learning_material_user_role_id) REFERENCES learning_material_user_role (learning_material_user_role_id)');
        $this->addSql('ALTER TABLE learning_material ADD CONSTRAINT FK_58CE718BA0407615 FOREIGN KEY (learning_material_status_id) REFERENCES learning_material_status (learning_material_status_id)');
        $this->addSql('ALTER TABLE learning_material ADD CONSTRAINT FK_58CE718B67A71A40 FOREIGN KEY (owning_user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE mesh_concept_x_semantic_type ADD CONSTRAINT FK_CD3D789316AE7127 FOREIGN KEY (mesh_semantic_type_uid) REFERENCES mesh_semantic_type (mesh_semantic_type_uid)');
        $this->addSql('ALTER TABLE mesh_concept_x_semantic_type ADD CONSTRAINT FK_CD3D7893E34D9FF5 FOREIGN KEY (mesh_concept_uid) REFERENCES mesh_concept (mesh_concept_uid)');
        $this->addSql('ALTER TABLE mesh_descriptor_x_concept ADD CONSTRAINT FK_1AF85275E34D9FF5 FOREIGN KEY (mesh_concept_uid) REFERENCES mesh_concept (mesh_concept_uid)');
        $this->addSql('ALTER TABLE mesh_descriptor_x_concept ADD CONSTRAINT FK_1AF85275CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid)');
        $this->addSql('ALTER TABLE mesh_previous_indexing ADD CONSTRAINT FK_32B6E2F4CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid)');
        $this->addSql('ALTER TABLE mesh_descriptor_x_qualifier ADD CONSTRAINT FK_FC5A6AD763490620 FOREIGN KEY (mesh_qualifier_uid) REFERENCES mesh_qualifier (mesh_qualifier_uid)');
        $this->addSql('ALTER TABLE mesh_descriptor_x_qualifier ADD CONSTRAINT FK_FC5A6AD7CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid)');
        $this->addSql('ALTER TABLE mesh_user_selection ADD CONSTRAINT FK_650D32BFCDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE objective ADD CONSTRAINT FK_B996F101FB9F58C FOREIGN KEY (competency_id) REFERENCES competency (competency_id)');
        $this->addSql('ALTER TABLE objective_x_objective ADD CONSTRAINT FK_9DC1F26573484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id)');
        $this->addSql('ALTER TABLE objective_x_objective ADD CONSTRAINT FK_9DC1F2652326141D FOREIGN KEY (parent_objective_id) REFERENCES objective (objective_id)');
        $this->addSql('ALTER TABLE objective_x_mesh ADD CONSTRAINT FK_936D667473484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id)');
        $this->addSql('ALTER TABLE objective_x_mesh ADD CONSTRAINT FK_936D6674CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid)');
        $this->addSql('ALTER TABLE offering ADD CONSTRAINT FK_A5682AB1613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id)');
        $this->addSql('ALTER TABLE offering ADD CONSTRAINT FK_A5682AB156C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id)');
        $this->addSql('ALTER TABLE offering_x_group ADD CONSTRAINT FK_4D68848F8EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id)');
        $this->addSql('ALTER TABLE offering_x_group ADD CONSTRAINT FK_4D68848FFE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id)');
        $this->addSql('ALTER TABLE offering_x_instructor_group ADD CONSTRAINT FK_5540AEE18EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id)');
        $this->addSql('ALTER TABLE offering_x_instructor_group ADD CONSTRAINT FK_5540AEE1FE367BE2 FOREIGN KEY (instructor_group_id) REFERENCES instructor_group (instructor_group_id)');
        $this->addSql('ALTER TABLE offering_x_learner ADD CONSTRAINT FK_991D7DA38EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id)');
        $this->addSql('ALTER TABLE offering_x_learner ADD CONSTRAINT FK_991D7DA3A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE offering_x_instructor ADD CONSTRAINT FK_171DC5498EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id)');
        $this->addSql('ALTER TABLE offering_x_instructor ADD CONSTRAINT FK_171DC549A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE offering_x_recurring_event ADD CONSTRAINT FK_D6FB967C8EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE offering_x_recurring_event ADD CONSTRAINT FK_D6FB967CE54B259A FOREIGN KEY (recurring_event_id) REFERENCES recurring_event (recurring_event_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE permission ADD CONSTRAINT FK_E04992AAA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE program ADD CONSTRAINT FK_92ED778456C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id)');
        $this->addSql('ALTER TABLE program ADD CONSTRAINT FK_92ED7784DDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE program_year ADD CONSTRAINT FK_B66426303EB8070A FOREIGN KEY (program_id) REFERENCES program (program_id)');
        $this->addSql('ALTER TABLE program_year ADD CONSTRAINT FK_B664263056C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id)');
        $this->addSql('ALTER TABLE program_year_director ADD CONSTRAINT FK_9212A50DCB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id)');
        $this->addSql('ALTER TABLE program_year_director ADD CONSTRAINT FK_9212A50DA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE program_year_x_competency ADD CONSTRAINT FK_1841AB9BCB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE program_year_x_competency ADD CONSTRAINT FK_1841AB9BFB9F58C FOREIGN KEY (competency_id) REFERENCES competency (competency_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE program_year_x_discipline ADD CONSTRAINT FK_ED2A7194CB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE program_year_x_discipline ADD CONSTRAINT FK_ED2A7194A5522701 FOREIGN KEY (discipline_id) REFERENCES discipline (discipline_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE program_year_x_objective ADD CONSTRAINT FK_FF29E643CB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE program_year_x_objective ADD CONSTRAINT FK_FF29E64373484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE program_year_steward ADD CONSTRAINT FK_38AC2B7BAE80F5DF FOREIGN KEY (department_id) REFERENCES department (department_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE program_year_steward ADD CONSTRAINT FK_38AC2B7BCB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE program_year_steward ADD CONSTRAINT FK_38AC2B7BC32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE publish_event ADD CONSTRAINT FK_A018E3734B09E92C FOREIGN KEY (administrator_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE recurring_event ADD CONSTRAINT FK_51B1C7F8B494B099 FOREIGN KEY (previous_recurring_event_id) REFERENCES recurring_event (recurring_event_id)');
        $this->addSql('ALTER TABLE recurring_event ADD CONSTRAINT FK_51B1C7F882312E9D FOREIGN KEY (next_recurring_event_id) REFERENCES recurring_event (recurring_event_id)');
        $this->addSql('ALTER TABLE report ADD CONSTRAINT FK_C42F7784A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session ADD CONSTRAINT FK_D044D5D4D7940EC9 FOREIGN KEY (session_type_id) REFERENCES session_type (session_type_id)');
        $this->addSql('ALTER TABLE session ADD CONSTRAINT FK_D044D5D4591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id)');
        $this->addSql('ALTER TABLE session ADD CONSTRAINT FK_D044D5D4504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id)');
        $this->addSql('ALTER TABLE session ADD CONSTRAINT FK_D044D5D456C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id)');
        $this->addSql('ALTER TABLE session_x_discipline ADD CONSTRAINT FK_EA7C234F613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session_x_discipline ADD CONSTRAINT FK_EA7C234FA5522701 FOREIGN KEY (discipline_id) REFERENCES discipline (discipline_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session_x_objective ADD CONSTRAINT FK_C4BF2447613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session_x_objective ADD CONSTRAINT FK_C4BF244773484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session_x_mesh ADD CONSTRAINT FK_43B09906613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session_x_mesh ADD CONSTRAINT FK_43B09906CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session_description ADD CONSTRAINT FK_91BD5E51613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id)');
        $this->addSql('ALTER TABLE session_learning_material ADD CONSTRAINT FK_9BE2AF8D613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id)');
        $this->addSql('ALTER TABLE session_learning_material ADD CONSTRAINT FK_9BE2AF8DC1D99609 FOREIGN KEY (learning_material_id) REFERENCES learning_material (learning_material_id)');
        $this->addSql('ALTER TABLE session_learning_material_x_mesh ADD CONSTRAINT FK_EC36AECFE8376E0A FOREIGN KEY (session_learning_material_id) REFERENCES session_learning_material (session_learning_material_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session_learning_material_x_mesh ADD CONSTRAINT FK_EC36AECFCDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE session_type ADD CONSTRAINT FK_4AAF570375B5EE83 FOREIGN KEY (assessment_option_id) REFERENCES assessment_option (assessment_option_id)');
        $this->addSql('ALTER TABLE session_type ADD CONSTRAINT FK_4AAF5703DDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE session_type_x_aamc_method ADD CONSTRAINT FK_5E10F748D7940EC9 FOREIGN KEY (session_type_id) REFERENCES session_type (session_type_id)');
        $this->addSql('ALTER TABLE session_type_x_aamc_method ADD CONSTRAINT FK_5E10F74819883967 FOREIGN KEY (method_id) REFERENCES aamc_method (method_id)');
        $this->addSql('ALTER TABLE user ADD CONSTRAINT FK_8D93D6499B1FA09 FOREIGN KEY (primary_school_id) REFERENCES school (school_id)');
        $this->addSql('ALTER TABLE user ADD CONSTRAINT FK_8D93D649FF038174 FOREIGN KEY (primary_cohort_id) REFERENCES cohort (cohort_id)');
        $this->addSql('ALTER TABLE user_x_user_role ADD CONSTRAINT FK_583C407A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE user_x_user_role ADD CONSTRAINT FK_583C4078E0E3CA6 FOREIGN KEY (user_role_id) REFERENCES user_role (user_role_id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE user_x_cohort ADD CONSTRAINT FK_4DFD48DAA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
        $this->addSql('ALTER TABLE user_x_cohort ADD CONSTRAINT FK_4DFD48DA35983C93 FOREIGN KEY (cohort_id) REFERENCES cohort (cohort_id)');
        $this->addSql('ALTER TABLE user_made_reminder ADD CONSTRAINT FK_44EF4595A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id)');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        $this->abort('This is the initial schema, you can not go down from here');
    }
}
